Description

If a user is 'manager' of a project could he or she get a mail notification if a ticket was created that is not assigned to anyone? There

could be a role setting 'Get notification for unassigned tickets'.

I know a user can set the notification by him/her self in the user settings. However, since we create and close many projects it is

possible that this gets forgotten. And I'd like to make sure that someone will get an notification. Currently, if the user setting is not

present, a manager has to check periodically if new unassigned tickets were created.

Atom-Feed is also an alternative, but it is not that convenient as mails.

History

#1 - 2010-10-08 07:58 - Markus Korber

+1

#2 - 2010-10-11 14:01 - Anonymous

Hm... I like the idea, but I wonder how that should be done. There is no Default "Project Manager" role - so who would get that email?

Why not set the notification settings to "For any event on my projects"?

Which brings me to the real request I would have: let the admin set the notification settings for the users.

#3 - 2010-10-11 17:02 - Robert Schneider

There is no Default "Project Manager" role - so who would get that email?

 I have thought this could be set in the role settings.

Why not set the notification settings to "For any event on my projects"?

 This could be problematic since this would result in too many notifications. Of course, one could set filters in the email client...

Which brings me to the real request I would have: let the admin set the notification settings for the users.

 In our case the admin is rarely needed, and only for configuring some base settings. I would prefer a role setting. I assume that every Redmine

project will have a user with something like a 'project manager' role. And I think in each project (please take into account that projects may get created

and closed often) someone should get unassigned tickets, and this should be the project manager but could also be someone else with the

appropriate setting (e.g. 'First Level Support' role).

#4 - 2011-02-10 15:38 - Steve Kaye

I like this idea and I found this issue when I was looking to see if anyone had raised a similar feature request that I was about to raise.

Our idea was to have the option for the users to sign up for notifications for unassigned issues in the My Account page.  This would enable a manager

to watch for unassigned issues on a project so that they can decide who to assign the issues to.

The reason why we don't want to sign up for all notifications is that there is a lot of activity on one of our projects so we get a lot of emails if we

choose this option.
#5 - 2011-05-19 15:46 - Etienne Massip

- Category set to Email notifications

#6 - 2012-11-20 10:15 - Stanislav Židek

I would be also glad to have this feature - is it going to be implemented?

#7 - 2012-11-21 21:31 - Terence Mill

+1

#8 - 2013-12-03 20:54 - Craig Rodrigues

I had a similar question here: More flexible reminder e-mails than reminder.rake? , and ended up

writing my own, because none of the existing plugins did exactly what I needed.

#9 - 2014-06-04 17:26 - Gary Pinkham

BTW.. does this solve this for folks?  (I'm going to try it out and will report back)  https://github.com/jrupesh/event_notifications

#10 - 2016-04-12 14:32 - Sebastian Paluch

+1

role based notification settings should be introduced for this.
